_Auxiliary_Code:
;Stretch.c,42 :: 		void Auxiliary_Code() {
;Stretch.c,43 :: 		TFT_WR = 0;
LDA.x	R0, #AlignedAddress(GPIO_PIN47_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN47_bit+0)=0
STI.x	GPIO_PIN47_bit+0, #AlignedAddress(R0)
;Stretch.c,44 :: 		asm nop;
NOP	
;Stretch.c,45 :: 		TFT_WR = 1;
LDA.x	R0, #AlignedAddress(GPIO_PIN47_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN47_bit+0)=1
STI.x	GPIO_PIN47_bit+0, #AlignedAddress(R0)
;Stretch.c,46 :: 		}
L_end_Auxiliary_Code:
RETURN	
; end of _Auxiliary_Code
_Set_Index:
;Stretch.c,47 :: 		void Set_Index(unsigned short index) {
; index start address is: 0 (R0)
; index end address is: 0 (R0)
; index start address is: 0 (R0)
;Stretch.c,48 :: 		TFT_RS = 0;
LDA.x	R1, #AlignedAddress(GPIO_PIN40_bit+0)
BINS.L	R1, R1, #BitPos(GPIO_PIN40_bit+0)=0
STI.x	GPIO_PIN40_bit+0, #AlignedAddress(R1)
;Stretch.c,49 :: 		asm nop;
NOP	
;Stretch.c,50 :: 		TFT_DataPort = index;
STA.B	GPIO_PORT_32_39+0, R0
; index end address is: 0 (R0)
;Stretch.c,51 :: 		asm nop; asm nop;
NOP	
NOP	
;Stretch.c,52 :: 		Auxiliary_Code();
CALL	_Auxiliary_Code+0
;Stretch.c,53 :: 		}
L_end_Set_Index:
RETURN	
; end of _Set_Index
_Write_Command:
;Stretch.c,55 :: 		void Write_Command(unsigned short cmd) {
; cmd start address is: 0 (R0)
; cmd end address is: 0 (R0)
; cmd start address is: 0 (R0)
;Stretch.c,56 :: 		TFT_RS = 1;
LDA.x	R1, #AlignedAddress(GPIO_PIN40_bit+0)
BINS.L	R1, R1, #BitPos(GPIO_PIN40_bit+0)=1
STI.x	GPIO_PIN40_bit+0, #AlignedAddress(R1)
;Stretch.c,57 :: 		asm nop;
NOP	
;Stretch.c,58 :: 		TFT_DataPort = cmd;
STA.B	GPIO_PORT_32_39+0, R0
; cmd end address is: 0 (R0)
;Stretch.c,59 :: 		asm nop; asm nop;
NOP	
NOP	
;Stretch.c,60 :: 		Auxiliary_Code();
CALL	_Auxiliary_Code+0
;Stretch.c,61 :: 		}
L_end_Write_Command:
RETURN	
; end of _Write_Command
_Write_Data:
;Stretch.c,63 :: 		void Write_Data(unsigned int _data) {
LINK	LR, #4
STI.S	SP, #0, R0
;Stretch.c,64 :: 		TFT_RS = 1;
LDA.x	R1, #AlignedAddress(GPIO_PIN40_bit+0)
BINS.L	R1, R1, #BitPos(GPIO_PIN40_bit+0)=1
STI.x	GPIO_PIN40_bit+0, #AlignedAddress(R1)
;Stretch.c,65 :: 		asm nop;
NOP	
;Stretch.c,66 :: 		TFT_DataPort = Hi(_data);
ADD.L	R1, SP, #0
ADD.L	R1, R1, #1
LDI.B	R1, R1, #0
STA.B	GPIO_PORT_32_39+0, R1
;Stretch.c,67 :: 		asm nop; asm nop;
NOP	
NOP	
;Stretch.c,68 :: 		Auxiliary_Code();
CALL	_Auxiliary_Code+0
;Stretch.c,69 :: 		asm nop;
NOP	
;Stretch.c,70 :: 		TFT_DataPort = Lo(_data);
ADD.L	R1, SP, #0
LDI.B	R1, R1, #0
STA.B	GPIO_PORT_32_39+0, R1
;Stretch.c,71 :: 		asm nop; asm nop;
NOP	
NOP	
;Stretch.c,72 :: 		Auxiliary_Code();
CALL	_Auxiliary_Code+0
;Stretch.c,73 :: 		}
L_end_Write_Data:
UNLINK	LR
RETURN	
; end of _Write_Data
_Display_Init:
;Stretch.c,75 :: 		void Display_Init()
;Stretch.c,77 :: 		TFT_Set_Active(Set_Index, Write_Command, Write_Data);
LDK.L	R2, #_Write_Data+0
LDK.L	R1, #_Write_Command+0
LDK.L	R0, #_Set_Index+0
CALL	_TFT_Set_Active+0
;Stretch.c,78 :: 		TFT_Init_ILI9341_8bit(320, 240);
LDK.L	R1, #240
LDK.L	R0, #320
CALL	_TFT_Init_ILI9341_8bit+0
;Stretch.c,79 :: 		TFT_BLED = 1;
LDA.x	R0, #AlignedAddress(GPIO_PIN58_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN58_bit+0)=1
STI.x	GPIO_PIN58_bit+0, #AlignedAddress(R0)
;Stretch.c,80 :: 		TFT_Set_Pen(CL_WHITE, 1);
LDK.L	R1, #1
LDK.L	R0, #65535
CALL	_TFT_Set_Pen+0
;Stretch.c,81 :: 		TFT_Set_Brush(1,CL_WHITE,0,0,0,0);
LDK.L	R5, #0
LDK.L	R4, #0
LDK.L	R3, #0
LDK.L	R2, #0
LDK.L	R1, #65535
LDK.L	R0, #1
CALL	_TFT_Set_Brush+0
;Stretch.c,82 :: 		TFT_Set_Font(TFT_defaultFont, CL_BLACK, FO_HORIZONTAL);
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #_TFT_defaultFont+0
CALL	_TFT_Set_Font+0
;Stretch.c,83 :: 		TFT_Fill_Screen(CL_WHITE);
LDK.L	R0, #65535
CALL	_TFT_Fill_Screen+0
;Stretch.c,84 :: 		TFT_Set_Pen(CL_Black, 1);
LDK.L	R1, #1
LDK.L	R0, #0
CALL	_TFT_Set_Pen+0
;Stretch.c,85 :: 		TFT_Line(20, 220, 300, 220);
LDK.L	R3, #220
LDK.L	R2, #300
LDK.L	R1, #220
LDK.L	R0, #20
CALL	_TFT_Line+0
;Stretch.c,86 :: 		TFT_LIne(20,  46, 300,  46);
LDK.L	R3, #46
LDK.L	R2, #300
LDK.L	R1, #46
LDK.L	R0, #20
CALL	_TFT_Line+0
;Stretch.c,87 :: 		TFT_Set_Font(&HandelGothic_BT21x22_Regular, CL_RED, FO_HORIZONTAL);
LDK.L	R2, #0
LDK.L	R1, #63488
LDK.L	R0, #_HandelGothic_BT21x22_Regular+0
CALL	_TFT_Set_Font+0
;Stretch.c,88 :: 		TFT_Write_Text("Stretch Click", 85, 14);
LDK.L	R0, #?lstr1_Stretch+0
LDK.L	R2, #14
LDK.L	R1, #85
CALL	_TFT_Write_Text+0
;Stretch.c,89 :: 		TFT_Set_Font(&Verdana12x13_Regular, CL_BLACK, FO_HORIZONTAL);
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #_Verdana12x13_Regular+0
CALL	_TFT_Set_Font+0
;Stretch.c,90 :: 		TFT_Write_Text("EasyFT90x v7", 19, 223);
LDK.L	R0, #?lstr2_Stretch+0
LDK.L	R2, #223
LDK.L	R1, #19
CALL	_TFT_Write_Text+0
;Stretch.c,91 :: 		TFT_Set_Font(&Verdana12x13_Regular, CL_RED, FO_HORIZONTAL);
LDK.L	R2, #0
LDK.L	R1, #63488
LDK.L	R0, #_Verdana12x13_Regular+0
CALL	_TFT_Set_Font+0
;Stretch.c,92 :: 		TFT_Write_Text("www.mikroe.com", 200, 223);
LDK.L	R0, #?lstr3_Stretch+0
LDK.L	R2, #223
LDK.L	R1, #200
CALL	_TFT_Write_Text+0
;Stretch.c,93 :: 		}
L_end_Display_Init:
RETURN	
; end of _Display_Init
Stretch_readSensor:
;Stretch.c,99 :: 		static void readSensor()
;Stretch.c,101 :: 		adc_rd = ADC_Get_Sample(4);               // Get ADC value from corresponding channel
LDK.L	R0, #4
CALL	_ADC_Get_Sample+0
STA.S	Stretch_adc_rd+0, R0
;Stretch.c,102 :: 		delay_ms(10);                             // Pause 10ms
LPM.L	R28, #333331
NOP	
L_Stretch_readSensor0:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L_Stretch_readSensor0
JMP	$+8
	#333331
NOP	
NOP	
;Stretch.c,103 :: 		}
L_end_readSensor:
RETURN	
; end of Stretch_readSensor
Stretch_set_adc:
;Stretch.c,108 :: 		static void set_adc()
;Stretch.c,110 :: 		ADC_Init();
CALL	_ADC_Init+0
;Stretch.c,111 :: 		ADC_Set_Input_Channel(_ADC_CHANNEL_4);
LDK.L	R0, #8
CALL	_ADC_Set_Input_Channel+0
;Stretch.c,112 :: 		}
L_end_set_adc:
RETURN	
; end of Stretch_set_adc
_main:
;Stretch.c,113 :: 		void main()
LDK.L	SP, #43605
;Stretch.c,115 :: 		set_adc();                                                         // Initialize ADC
CALL	Stretch_set_adc+0
;Stretch.c,116 :: 		Display_Init();                                                    // Initialize TFT
CALL	_Display_Init+0
;Stretch.c,117 :: 		TFT_Set_Pen(CL_WHITE, 1);
LDK.L	R1, #1
LDK.L	R0, #65535
CALL	_TFT_Set_Pen+0
;Stretch.c,118 :: 		TFT_Set_Font(&TFT_defaultFont, CL_BLACK, FO_HORIZONTAL);
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #_TFT_defaultFont+0
CALL	_TFT_Set_Font+0
;Stretch.c,119 :: 		while(1)
L_main2:
;Stretch.c,121 :: 		readSensor();                                                  // Read sensor
CALL	Stretch_readSensor+0
;Stretch.c,122 :: 		TFT_Set_Font(&TFT_defaultFont, CL_WHITE, FO_HORIZONTAL);
LDK.L	R2, #0
LDK.L	R1, #65535
LDK.L	R0, #_TFT_defaultFont+0
CALL	_TFT_Set_Font+0
;Stretch.c,123 :: 		TFT_Write_Text(txt, 140, 100);
LDK.L	R2, #100
LDK.L	R1, #140
LDK.L	R0, #Stretch_txt+0
CALL	_TFT_Write_Text+0
;Stretch.c,124 :: 		WordToStr(adc_rd,txt);                                        // Conversion integer adc_rd to string txt
LDA.S	R0, Stretch_adc_rd+0
LDK.L	R1, #Stretch_txt+0
CALL	_WordToStr+0
;Stretch.c,125 :: 		TFT_Set_Font(&TFT_defaultFont, CL_BLACK, FO_HORIZONTAL);       // Display string on TFT
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #_TFT_defaultFont+0
CALL	_TFT_Set_Font+0
;Stretch.c,126 :: 		TFT_Write_Text(txt,140,100);                                   // Print txt value on TFT
LDK.L	R2, #100
LDK.L	R1, #140
LDK.L	R0, #Stretch_txt+0
CALL	_TFT_Write_Text+0
;Stretch.c,127 :: 		delay_ms(500);
LPM.L	R28, #16666665
NOP	
L_main4:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L_main4
JMP	$+8
	#16666665
;Stretch.c,128 :: 		}
JMP	L_main2
;Stretch.c,130 :: 		}
L_end_main:
L__main_end_loop:
JMP	L__main_end_loop
; end of _main
